import request from '@/utils/request'

//执行应急疏散
export function evacuate(id) {
  return request({
    url: '/laboratory/line/evacuate/' + id,
    method: 'get',
  })
}

//结束应急疏散
export function closure(id) {
  return request({
    url: '/laboratory/line/closure/' + id,
    method: 'get',
  })
}

//切换应急疏散线路
export function lineEvacuate(id,type) {
  return request({
    url: '/laboratory/line/change/' + id + '/' + type,
    method: 'get',
  })
}

//获取当前疏散数据
export function getRedis(id,type) {
  return request({
    url: '/laboratory/line/getRedis',
    method: 'get',
  })
}

//获取喇叭列表
export function getDeviceList(query) {
  return request({
    url: '/speak/speaker/getDeviceList',
    method: 'get',
    params: query
  })
}

//文字转语音播放
export function textParseUrlIps(data,text) {
  return request({
    url: '/speak/speaker/textParseUrlIps?text='+text,
    method: 'post',
    data: data
  })
}

//获取楼层摄像头
export function getCameraByFloor(query) {
  return request({
    url: '/laboratory/sparseHardware/getCameraByFloor',
    method: 'get',
    params: query
  })
}


//根据ID查询摄像头地址
export function startUrl(query) {
  return request({
    url: '/camera/api/play/startList',
    type:'video',
    method: 'get',
    params: query
  })
}
//根据ID查询摄像头地址
export function startUrlWC(query) {
  return request({
    url: '/wenchang/api/play/startList/',
    type:'video',
    method: 'get',
    params: query
  })
}
//根据ID查询摄像头地址
export function startUrlNH(query) {
  return request({
    url: '/nanhu/api/play/startList/',
    type:'video',
    method: 'get',
    params: query
  })
}

